import { AsyncComponents } from '../../../hooks';
import { HiroColors } from '../../../types';
export interface BaseWidgetConfig {
    size?: number | number[];
    title?: string;
    content?: string | number;
    as?: AsyncComponents;
}
export interface SimpleWidgetConfig extends BaseWidgetConfig {
    as?: undefined;
}
export interface ButtonWidgetConfig extends BaseWidgetConfig {
    as: 'Button';
    action?: 'LOG';
}
export interface HeaderWidgetConfig extends BaseWidgetConfig {
    as: 'Header';
}
export interface TextWidgetConfig extends BaseWidgetConfig {
    as: 'Text';
}
export declare type WidgetConfig = SimpleWidgetConfig | ButtonWidgetConfig | HeaderWidgetConfig | TextWidgetConfig;
export interface DashboardConfig {
    color?: HiroColors;
    widgets?: WidgetConfig[];
}
