import styled from 'styled-components';
import { clickable, primary } from '../../../utils';
import defaultTheme from '../../../theme';
export const MenuItem = styled.div({
    position: 'relative',
    display: 'flex',
    alignItems: 'center',
    padding: '1em 1.5em',
    '& h1, h2, h3': {
        padding: 0,
    },
}, 
// Colourable
primary, 
// Make clickable
(props) => (props.onClick || props.href ? clickable(props) : null), 
// Border
({ border, theme }) => {
    if (!border) {
        return null;
    }
    return {
        [border === 'right'
            ? 'borderRight'
            : 'borderLeft']: `1px solid ${theme.greyscale.dark}`,
    };
}, 
// Position
({ position }) => {
    if (!position || position === 'left') {
        return null;
    }
    return {
        marginLeft: 'auto',
    };
});
MenuItem.defaultProps = {
    theme: defaultTheme,
    color: 'white',
};
