import styled from 'styled-components';
import defaultTheme from '../../../theme';
import { paddable, flexbox, alignColumn, alignRow, textAlign, raised, } from '../../../utils';
export const Box = styled.div({
    display: 'flex',
    position: 'relative',
}, (props) => ({
    flexFlow: `${props.direction} wrap`,
    ...(props.direction === 'column' ? alignColumn(props) : alignRow(props)),
}), textAlign, flexbox, paddable, raised, ({ color, theme }) => color
    ? {
        backgroundColor: theme.colors[color].default,
        color: 'white',
    }
    : {
        color: theme.colors.primaryText.default,
    }, ({ stretched, direction }) => stretched
    ? {
        '& > div': {
            [direction === 'row' ? 'width' : 'height']: '100%',
        },
    }
    : null);
Box.defaultProps = {
    theme: defaultTheme,
    direction: 'column',
};
