import React from 'react';
import styled from 'styled-components';
import defaultTheme from '../../../theme';
import { textAlign, paddable, raised } from '../../../utils';
import { Button } from '../../inputs';
import { Menu, MenuItem } from '../../collections';
export const StyledDiv = styled.div({
    position: 'relative',
    margin: '1rem 0',
    padding: '1em 1em',
    overflow: 'hidden',
    // Move menu to edges
    [`${Menu}:first-of-type`]: {
        transform: 'translate(-1em, -1em)',
        width: 'calc(100% + 2em)',
        [`${MenuItem}:first-of-type`]: {
            borderRight: 'none',
        },
    },
}, 
// Themed styling
({ theme }) => ({
    borderRadius: theme.sizes.borderRadius,
}), 
// Placeholder
({ $placeholder }) => $placeholder
    ? {
        display: 'flex',
        flexDirection: 'column',
        justifyContent: 'center',
        alignItems: 'stretch',
        textAlign: 'center',
        maxWidth: 'initial',
        animation: 'none',
        overflow: 'visible',
        minHeight: '18rem',
        [Button]: {
            maxWidth: '15rem',
            marginLeft: 'auto',
            marginRight: 'auto',
        },
    }
    : null, 
// Helpers
textAlign, paddable, raised);
StyledDiv.defaultProps = {
    theme: defaultTheme,
};
export const Segment = (props) => {
    return React.createElement(StyledDiv, Object.assign({}, props));
};
