import React from 'react';
import renderer from 'react-test-renderer';
import * as collections from './collections';
import * as elements from './elements';
import * as globals from './global';
import * as inputs from './inputs';
import * as modules from './modules';
const allComponents = {
    collections,
    elements,
    globals,
    inputs,
    modules,
};
Object.entries(allComponents).forEach((folder) => {
    const [folderName, components] = folder;
    describe(folderName, () => {
        Object.entries(components)
            .filter(([name]) => !name.endsWith('Context'))
            .forEach((c) => {
            const [name, Component] = c;
            it(`render ${name}`, () => {
                const tree = renderer.create(React.createElement(Component, null)).toJSON();
                expect(tree).toMatchSnapshot();
            });
        });
    });
});
