import React from 'react';
import styled from 'styled-components';
import { Search as SearchIcon, Times as TimesIcon, } from 'styled-icons/fa-solid';
import { StyledInput } from './StyledInput';
import defaultTheme from '../../../theme';
const Wrapper = styled.div(({ theme, active }) => ({
    position: 'relative',
    '& svg': {
        cursor: 'pointer',
        color: theme.colors.primary[active ? 'dark' : 'light'],
        width: active ? '0.75em' : '0.9em',
        transform: active ? 'translate(-1.5em, 3px)' : 'translate(-1.5em, 1px)',
    },
    '&:focus svg, &:focus:hover svg, &:hover svg': {
        color: theme.colors.primary.dark,
    },
    [StyledInput]: {
        paddingRight: '2.2em',
    },
}));
Wrapper.defaultProps = {
    theme: defaultTheme,
};
export const Search = ({ onClear, ...rest }) => {
    const Icon = rest.value ? TimesIcon : SearchIcon;
    return (React.createElement(Wrapper, { active: !!rest.value },
        React.createElement(StyledInput, Object.assign({}, rest)),
        React.createElement(Icon, { onClick: onClear })));
};
