/// <reference types="react" />
export declare type AsyncComponents = 'Text' | 'Header' | 'Button';
/**
 * Async component loading for use with Dashboard.
 *
 * Should be used with component wrapped in `React.Suspense`
 *
 * @example
 * ```
 * const AsyncHeader = () => {
 *  const Header = useAsyncComponent('Header');
 *
 *  return <Header>Hello world!</Header>
 * }
 *
 * ...
 *
 * <React.Suspense fallback={<Loader active />}>
 *   <AsyncHeader />
 * </React.Suspense>
 * ```
 */
export declare const useAsyncComponent: (type?: "Text" | "Header" | "Button" | undefined) => import("react").LazyExoticComponent<import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, import("../components/inputs/Button/Button").ButtonProps, never>> | import("react").LazyExoticComponent<import("styled-components").StyledComponent<"p", import("styled-components").DefaultTheme, import("../components/elements/Text/Text").TextProps & import("../components/elements/Text/Header").HeaderProps, never>> | import("react").ExoticComponent<{
    children?: import("react").ReactNode;
}>;
