import { createColors, defaultTheme, createTheme } from './theme';
const testTheme = defaultTheme;
it('create colours', () => {
    const res = createColors(testTheme.colors);
    expect(res).toBeTruthy();
    expect(testTheme.colors.black).toBe('#151515');
    expect(res.black).toEqual({
        active: '#191919',
        dark: '#111111',
        default: '#151515',
        hover: '#131313',
        light: 'rgba(21, 21, 21, 0.5)',
        verylight: 'rgba(21, 21, 21, 0.25)',
    });
});
it('create theme - default', () => {
    const res = createTheme();
    expect(res).toBeTruthy();
    expect(res.global.fontSize).toBe('14px');
});
it('create theme - empty', () => {
    const res = createTheme({});
    expect(res).toBeTruthy();
    expect(res.global.fontSize).toBe('14px');
});
it('create theme - empty', () => {
    const res = createTheme({ global: { fontSize: '12px' } });
    expect(res).toBeTruthy();
    // Check target has changed
    expect(res.global.fontSize).toBe('12px');
    // Check nothing else has changed
    expect(res.breakpoints.md).toBe(768);
});
