import defaultTheme from '../theme';
import { clickable } from './actions';
describe('clickable', () => {
    it('Generates default style', () => {
        const props = { theme: defaultTheme };
        const res = clickable(props);
        // Has active value
        expect(res['&:active:hover']).toBeTruthy();
        // Has hover/focus value
        expect(res['&:hover, &:focus']).toBeTruthy();
    });
    it('Generates coloured style', () => {
        const props = { theme: defaultTheme, color: 'red' };
        const res = clickable(props);
        const active = res['&:active:hover'];
        const hover = res['&:hover, &:focus'];
        expect(active).toBeTruthy();
        expect(active.backgroundColor).toBe(defaultTheme.colors.red.active);
        expect(hover).toBeTruthy();
        expect(hover.backgroundColor).toBe(defaultTheme.colors.red.hover);
    });
    it('Generates secondary coloured style', () => {
        const props = {
            theme: defaultTheme,
            color: 'red',
            secondary: true,
        };
        const res = clickable(props);
        const active = res['&:active:hover'];
        const hover = res['&:hover, &:focus'];
        expect(active).toBeTruthy();
        expect(active.backgroundColor).toBe(defaultTheme.colors.red.verylight);
        expect(active.borderColor).toBe(defaultTheme.colors.red.active);
        expect(hover).toBeTruthy();
        expect(hover.backgroundColor).toBeFalsy();
        expect(hover.borderColor).toBe(defaultTheme.colors.red.hover);
    });
});
