/**
 * Any screen size less than medium
 */
export const sm = ({ theme }) => `@media only screen and (max-width: ${theme.breakpoints.md - 1}px)`;
/**
 * Screen size between medium and large
 */
export const md = ({ theme }) => `@media only screen and (max-width: ${theme.breakpoints.lg -
    1}px) and (min-width: ${theme.breakpoints.md}px)`;
/**
 * Screen size between large and extra large
 */
export const lg = ({ theme }) => `@media only screen and (max-width: ${theme.breakpoints.xl -
    1}px) and (min-width: ${theme.breakpoints.lg}px)`;
/**
 * Any screen size above extra large
 */
export const xl = ({ theme }) => `@media only screen and (min-width: ${theme.breakpoints.xl}px)`;
