import { sm, md, lg, xl } from './breakpoints';
import { createTheme } from '../theme';
const theme = createTheme({
    breakpoints: {
        md: 100,
        lg: 200,
        xl: 300,
    },
});
describe('sm', () => {
    it('Generate media query', () => {
        const res = sm({ theme });
        // Max width should be md - 1
        expect(res).toBe('@media only screen and (max-width: 99px)');
    });
});
describe('md', () => {
    it('Generate media query', () => {
        const res = md({ theme });
        // Max width should be lg - 1 and min width should be md
        expect(res).toBe('@media only screen and (max-width: 199px) and (min-width: 100px)');
    });
});
describe('lg', () => {
    it('Generate media query', () => {
        const res = lg({ theme });
        // Max width should be xl - 1 and min width should be lg
        expect(res).toBe('@media only screen and (max-width: 299px) and (min-width: 200px)');
    });
});
describe('xl', () => {
    it('Generate media query', () => {
        const res = xl({ theme });
        // Min width should be xl
        expect(res).toBe('@media only screen and (min-width: 300px)');
    });
});
