import { paddable, textAlign } from './layout';
import { createTheme } from '../theme';
const theme = createTheme({
    sizes: {
        padding: {
            normal: '2em',
            extra: '3em',
        },
    },
});
describe('paddable', () => {
    it('Empty', () => {
        const res = paddable({ theme });
        expect(res).toBeFalsy();
    });
    it('Padded', () => {
        const res = paddable({ theme, padded: true });
        expect(res).toBeTruthy();
        expect(res).toEqual({
            padding: '2em',
        });
    });
    it('Padded - Extra', () => {
        const res = paddable({ theme, padded: 'extra' });
        expect(res).toBeTruthy();
        expect(res).toEqual({
            padding: '3em',
        });
    });
});
describe('textAlign', () => {
    it('Empty', () => {
        const res = textAlign({ theme });
        expect(res).toBeFalsy();
    });
    it('Aligned', () => {
        const res = textAlign({ theme, textAlign: 'center' });
        expect(res).toBeTruthy();
        expect(res).toEqual({
            textAlign: 'center',
        });
    });
});
